# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.96"
name = "gatekeep"
version = "0.4.0"
authors = ["Mari"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Code-first authorization engine for Rust"
homepage = "https://codeberg.org/plethu/gatekeep"
readme = "README.md"
keywords = [
    "authorization",
    "policy",
    "authz",
    "audit",
]
categories = [
    "authentication",
    "data-structures",
]
license = "MIT OR Apache-2.0"
repository = "https://codeberg.org/plethu/gatekeep"

[features]
default = []
test = []

[lib]
name = "gatekeep"
path = "src/lib.rs"

[[test]]
name = "adapters"
path = "tests/adapters.rs"

[[test]]
name = "core"
path = "tests/core.rs"

[[test]]
name = "identity"
path = "tests/identity.rs"

[[test]]
name = "send_app_case_access"
path = "tests/send_app_case_access.rs"

[dependencies.async-trait]
version = "0.1.89"

[dependencies.blake3]
version = "1.8.2"

[dependencies.postcard]
version = "1.1.3"
features = ["alloc"]

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.145"

[dependencies.thiserror]
version = "2.0.17"

[dev-dependencies.proptest]
version = "1.9.0"

[lints.clippy]
dbg_macro = "deny"
expect_used = "deny"
missing_errors_doc = "allow"
module_name_repetitions = "allow"
multiple_crate_versions = "allow"
panic = "deny"
todo = "deny"
unimplemented = "deny"
unwrap_used = "deny"

[lints.clippy.all]
level = "deny"
priority = -1

[lints.clippy.cargo]
level = "deny"
priority = -1

[lints.clippy.nursery]
level = "warn"
priority = -1

[lints.clippy.pedantic]
level = "deny"
priority = -1

[lints.rust]
missing_docs = "warn"
unsafe_code = "forbid"
